Bug 502922 - Feature request: check mounted filesystem
Feature request: check mounted filesystem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 15:27 EDT by Susi Lehtola
Modified: 2013-01-10 00:14 EST (History)
3 users (show)

See Also:
Fixed In Version: mock-1.0.25-1.el5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-10 14:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-05-27 15:27:52 EDT
Hi,


I don't know how many people do this, but sometimes when I want to debug a problem with a package that refuses to build I chroot to the mock root. And sometimes I have to bind mount something, such as /proc or /dev to the mock root.

The problem is that currently mock doesn't check if the root contains some mounts. Thus when I tried rebuilding my package mock rm -rf'd the root dir and due to the bind mounts I ended happily with an (almost) empty /dev.

Fortunately /dev is nowadays populated automatically and nothing was lost.


So: I wish that mock would check if there are any mounts inside the mock root and fail the clean phase if there is a mount.
Comment 1 Bug Zapper 2009-06-09 12:40:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 10:33:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jesse Keating 2010-04-27 11:34:58 EDT
Not sure if we have this check or not.  We ask that people use mock --shell in order to get into the chroot, which will handle all the mounting for you, but I could see a check to make sure nothing is mounted.
Comment 4 Fedora Admin XMLRPC Client 2011-03-11 13:08:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Clark Williams 2011-11-02 11:34:41 EDT
I think the current versions of mock won't nuke your /dev anymore, but I've added an explicit call to _umountall() in the clean logic to make sure there are no mount points in the chroot before we start removing things.
Comment 6 Fedora Update System 2011-11-27 18:54:29 EST
mock-1.1.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.el6
Comment 7 Fedora Update System 2011-11-27 18:55:02 EST
mock-1.1.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc15
Comment 8 Fedora Update System 2011-11-27 18:55:29 EST
mock-1.0.25-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.25-1.el5
Comment 9 Fedora Update System 2011-11-27 18:55:56 EST
mock-1.1.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc14
Comment 10 Fedora Update System 2011-11-27 18:56:22 EST
mock-1.1.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc16
Comment 11 Fedora Update System 2011-11-28 14:27:53 EST
Package mock-1.0.25-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.25-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5097/mock-1.0.25-1.el5
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-12-10 14:53:04 EST
mock-1.1.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-12-10 14:57:32 EST
mock-1.1.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-12-10 15:06:37 EST
mock-1.1.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-12-13 14:57:02 EST
mock-1.1.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-12-13 14:57:36 EST
mock-1.0.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.